diff --git a/utils/install b/utils/install
new file mode 100644
index 0000000000000000000000000000000000000000..29935f55980c9422e4f73ee8790ad5cfe2373b9c
--- /dev/null
+++ b/utils/install
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+# Installation script for LODSPeaKr (http://lodspeakr.org)
+# Author: Alvaro Graves (alvaro@graves.cl)
+# Modified by: Tim Lebo (lebot@rpi.edu)
+
+lodspeakr_repository="git://github.com/alangrafu/lodspeakr.git"
+home=`basename $lodspeakr_repository | sed 's/.git//'`
+
+source ~/.bashrc
+GIT=`which git`
+
+if [ -z "$GIT" ]; then
+  echo "git is required to continue installation. Please add git to your \$PATH."
+  exit 1
+fi
+
+if [ ! -e "$home" ]; then
+   $GIT clone $lodspeakr_repository
+   cd $home
+   ./install.sh
+else
+   echo "There is already an existing directory called '$home'. Installation cancelled. Remove it first and try again."
+fi